import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# spe container recyclebinitem list

Lists deleted containers of a specific container type

## Usage

```sh
m365 spe container recyclebinitem list [options]
```

## Options

```md definition-list
`--containerTypeId [containerTypeId]`
: The container type ID of the container instance. Use either `containerTypeId` or `containerTypeName` but not both.

`--containerTypeName [containerTypeName]`
: The container type name of the container instance. Use either `containerTypeId` or `containerTypeName` but not both.
```

<Global />

## Remarks

:::warning

The command is based on an API that is currently in preview and is subject to change once the API reached general availability.

:::

## Permissions

<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions                                                        |
  |-----------------|--------------------------------------------------------------------|
  | Microsoft Graph | FileStorageContainer.Selected, FileStorageContainerType.Manage.All |

  </TabItem>
  <TabItem value="Application">

  This command only supports application permissions when using the `containerTypeId` option.

  | Resource        | Permissions                   |
  |-----------------|-------------------------------|
  | Microsoft Graph | FileStorageContainer.Selected |

  </TabItem>
</Tabs>

## Examples

List deleted containers of a specific container type specified by id.

```sh
m365 spe container recyclebinitem list --containerTypeId "91710488-5756-407f-9046-fbe5f0b4de73"
```

List deleted containers of a specific container type specified by name.

```sh
m365 spe container recyclebinitem list --containerTypeName "My container type name"
```

## Response

<Tabs>
  <TabItem value="JSON">

  ```json
  [
    {
      "id": "b!ISJs1WRro0y0EWgkUYcktDa0mE8zSlFEqFzqRn70Zwp1CEtDEBZgQICPkRbil_5Z",
      "displayName": "My Application Storage Container",
      "containerTypeId": "1a55ba46-a673-45a4-b0d9-bd9913d06957",
      "createdDateTime": "2025-04-15T21:51:48Z",
      "settings": {
        "isOcrEnabled": false
      }
    }
  ]
  ```

  </TabItem>
  <TabItem value="Text">

  ```text
  id                                                                  displayName
  ------------------------------------------------------------------  --------------------------------
  b!ISJs1WRro0y0EWgkUYcktDa0mE8zSlFEqFzqRn70Zwp1CEtDEBZgQICPkRbil_5Z  My Application Storage Container
  ```

  </TabItem>
  <TabItem value="CSV">

  ```csv
  id,displayName,containerTypeId,createdDateTime
  b!ISJs1WRro0y0EWgkUYcktDa0mE8zSlFEqFzqRn70Zwp1CEtDEBZgQICPkRbil_5Z,My Application Storage Container,1a55ba46-a673-45a4-b0d9-bd9913d06957,2025-04-15T21:51:48Z
  ```

  </TabItem>
  <TabItem value="Markdown">

  ```md
  # spe container recyclebinitem list --containerTypeId "1a55ba46-a673-45a4-b0d9-bd9913d06957"

  Date: 18/04/2025

  ## My Application Storage Container (b!ISJs1WRro0y0EWgkUYcktDa0mE8zSlFEqFzqRn70Zwp1CEtDEBZgQICPkRbil_5Z)

  Property | Value
  ---------|-------
  id | b!ISJs1WRro0y0EWgkUYcktDa0mE8zSlFEqFzqRn70Zwp1CEtDEBZgQICPkRbil_5Z
  displayName | My Application Storage Container
  containerTypeId | 1a55ba46-a673-45a4-b0d9-bd9913d06957
  createdDateTime | 2025-04-15T21:51:48Z
  ```

  </TabItem>
</Tabs>
